/* Copyright (c) 2004 Sophos Inc.
   See the file LICENSE.txt for licensing information. */


//---- globals

var log = getLoggingMgr().getLogger("pref-editsmart");

var _elementIDs = [
    "editUseLinting", "editUseAutoWrap", "editUseEdge", "editAutoWrapColumn",
    "checkDiskFile", "editTabCompletes",
];


//---- public methods

function PrefEditSmart_OnLoad()
{
    log.info("PrefEditSmart_OnLoad()");
    try {
        var tag = 'chrome://jaguar/content/pref/pref-editsmart.xul';
        parent.hPrefWindow.onpageload(tag);
    } catch(ex) {
        log.exception(ex, "Error loading Smart Editing pref panel.");
    }
}


