from xpcom import components
import sys

class KoProgressBarService:
    _com_interfaces_ = [components.interfaces.koIProgressBarService]
    _reg_clsid_ = "DAD9585B-2EC0-4ed1-B6F8-A3416D7B6388"
    _reg_contractid_ = "@activestate.com/koProgressBarService;1"
    _reg_desc_ = "Progress Bar Service"

    def __init__(self):
        self.pb = None
        import progressbar
        self.pb = progressbar
        self.pb.initProgressBar()
    def tick(self, label, numTicks):
        if self.pb is not None:
            self.pb.progressStep(label, numTicks)
    def done(self):
        self.pb.progressEnd()
